Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jsf
Class InvokeApplicationInterceptor

    java.lang.Object
      org.apache.struts2.jsf.FacesSupport
          org.apache.struts2.jsf.FacesInterceptor
              org.apache.struts2.jsf.InvokeApplicationInterceptor

All Implemented Interfaces:
  com.opensymphony.xwork2.interceptor.Interceptor, Serializable

    public class InvokeApplicationInterceptor

extends FacesInterceptor

Invokes the application

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts2.jsf.FacesSupport
`FACES_ENABLED, log`

Constructor Summary
`InvokeApplicationInterceptor()`

Method Summary
`protected boolean` | `executePhase(String viewId, javax.faces.context.FacesContext facesContext)` Invoke Application (JSF.2.2.5)

Methods inherited from class org.apache.struts2.jsf.FacesInterceptor
`destroy, init, intercept, isFacesEnabled`

Methods inherited from class org.apache.struts2.jsf.FacesSupport
`informPhaseListenersAfter, informPhaseListenersBefore, isResponseComplete, setLifecycle, shouldRenderResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokeApplicationInterceptor

    public InvokeApplicationInterceptor()

Method Detail

### executePhase

    protected boolean executePhase(String viewId,
                                   javax.faces.context.FacesContext facesContext)
                            throws javax.faces.FacesException

  Invoke Application (JSF.2.2.5)

  Overrides:
    `executePhase` in class `FacesInterceptor`
  Parameters:
    `viewId` - The view id
    `facesContext` - The faces context
  Returns:
    true, if response is complete
  Throws:
    `javax.faces.FacesException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.